## vacuum-map-parser-roborock 0.1.4

=== .github/workflows/requirements.txt ===
pip>=23.3
poetry==1.5.1

## vacuum-map-parser-roborock 0.1.2

=== debian/changelog ===
vacuum-map-parser-roborock (0.1.2-3) unstable; urgency=medium

  * Add python3-vacuum-map-parser-base as a build dependency.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sun, 26 Jan 2025 05:17:14 +0100

vacuum-map-parser-roborock (0.1.2-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sun, 04 Aug 2024 21:38:30 +0200

vacuum-map-parser-roborock (0.1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1077465)

 -- Edward Betts <edward@4angle.com>  Mon, 29 Jul 2024 15:46:53 +0900

=== debian/control ===
Source: vacuum-map-parser-roborock
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-vacuum-map-parser-base,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/PiotrMachowski/Python-package-vacuum-map-parser-roborock
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/vacuum-map-parser-roborock
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/vacuum-map-parser-roborock.git

Package: python3-vacuum-map-parser-roborock
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library to parse map data generated by Roborock vacuums
 This library provides functionality to parse map data generated by Roborock
 vacuums. It allows you to extract and interpret map information which enables
 various automation and integration scenarios. The library processes raw map
 bytes into structured data, which can be leveraged to visualize, analyze, or
 manage Roborock vacuum operations. This includes handling elements such as
 cleaning paths, charger positions, and other important map-related details. It
 supports interaction with Roborock devices to fetch and decode stored maps.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=vacuum-map-parser-roborock

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:

=== debian/watch ===
version=4
https://github.com/PiotrMachowski/Python-package-vacuum-map-parser-roborock/tags .*/v?(\d\S+)\.tar\.gz

## vacuum-map-parser-roborock 0.1.4

=== debian/changelog ===
vacuum-map-parser-roborock (0.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Fri, 16 May 2025 12:12:44 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Build-Depends-Indep:
  python3-vacuum-map-parser-base,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/PiotrMachowski/Python-package-vacuum-map-parser-roborock
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/vacuum-map-parser-roborock
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/vacuum-map-parser-roborock.git
